### Virtual Method

# Gio DBusObjectManager get_object

since: 2.30

#### Declaration

    GDBusObject*
    get_object (
      GDBusObjectManager* manager,
      const gchar* object_path
    )

#### Description

Gets the `GDBusObject` at `object_path`, if any.

Available since: 2.30

#### Parameters

`object_path`

  Type: `const gchar*`

  Object path to look up.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GDBusObject`

A `GDBusObject` or `NULL`. Free with g_object_unref().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.